<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<h1>Simpler example of modification</h1>

<pre>
                                nbdkit
┌─────────────┐http┌─────────────┐    ┌────────────┐    ┌────────────┐
│ cloud image │───▶│ curl plugin │───▶│ xz filter  │───▶│ qcow2 file │
└─────────────┘    └─────────────┘    └────────────┘    └────────────┘

                                           ◀─── virt-sparsify --in-place

                                        ◀─── <b>virt-customize</b>
                                             to deactivate cloud-init

                                     ◀─── <b>virt-customize</b>
                                          to modify /etc/motd
                                                            ┌───────────┐
                                 ───▶ qemu-img convert ────▶│ local.img │
                                                            └───────────┘
</pre>
